import React from 'react';
export interface ChildBaseProps {
    children: React.ReactElement | React.ReactElement[];
    visible: boolean;
    placement: 'left' | 'top' | 'right' | 'bottom';
    closable?: boolean;
    width?: string;
    height?: string;
    className?: string;
}
interface ChildProps extends ChildBaseProps {
    prefixCls: string;
    onEnter: (e: any) => void;
    onExited: (e: any) => void;
    onCancel: (e: any) => void;
}
declare const _default: React.ForwardRefExoticComponent<ChildProps & React.RefAttributes<HTMLDivElement>>;
export default _default;
