import React from 'react';
import { ChildBaseProps } from './Child';
export interface DrawerProps extends ChildBaseProps {
    name?: string;
    maskClosable?: boolean;
    hiddenScroll?: boolean;
    keyboard?: boolean;
    showMask?: boolean;
    onClose?: (v: boolean, n?: string) => void;
    onDestroy?: (n?: string) => void;
}
export default class Drawer extends React.Component<DrawerProps> {
    prefixCls: string;
    static defaultProps: {
        placement: string;
        width: string;
        height: string;
        closable: boolean;
        showMask: boolean;
        maskClosable: boolean;
        hiddenScroll: boolean;
        keyboard: boolean;
    };
    childRef: React.RefObject<HTMLDivElement>;
    componentWillUnmount(): void;
    onClose: () => void;
    onCancel: () => void;
    isEnter: boolean;
    onEnter: () => void;
    onExited: () => void;
    render(): JSX.Element;
}
