import React from 'react';
import classNames from 'classnames';
var cls = 're-svg-loading';

var LoadingIcon = function LoadingIcon(props) {
  var className = props.className;
  return React.createElement("span", {
    className: classNames(className, cls)
  }, React.createElement("svg", {
    xmlns: "http://www.w3.org/2000/svg",
    width: "24",
    height: "24",
    viewBox: "0 0 24 24",
    className: cls + "-icon"
  }, React.createElement("circle", {
    cx: "12",
    cy: "2",
    r: "2",
    fill: "#202020"
  }), React.createElement("circle", {
    cx: "19",
    cy: "5",
    r: "2",
    fill: "#404040"
  }), React.createElement("circle", {
    cx: "22",
    cy: "12",
    r: "2",
    fill: "#606060"
  }), React.createElement("circle", {
    cx: "19",
    cy: "19",
    r: "2",
    fill: "gray"
  }), React.createElement("circle", {
    cx: "12",
    cy: "22",
    r: "2",
    fill: "#b0b0b0"
  }), React.createElement("circle", {
    cx: "5",
    cy: "19",
    r: "2",
    fill: "#d0d0d0"
  }), React.createElement("circle", {
    cx: "2",
    cy: "12",
    r: "2",
    fill: "#f0f0f0"
  }), React.createElement("circle", {
    cx: "5",
    cy: "5",
    r: "2",
    fill: "#fff"
  })));
};

export default React.memo(LoadingIcon);