import React from 'react';
import { TriggerProps } from '../trigger';
export interface PopoverProps extends Pick<TriggerProps, Exclude<keyof TriggerProps, 'popup' | 'onArrowStyleChange'>> {
    tip: React.ReactNode;
    closeIcon?: React.ReactElement;
    prefixCls?: string;
    hiddenClose?: boolean;
}
declare function Popover(props: PopoverProps): JSX.Element;
declare namespace Popover {
    var defaultProps: {
        hiddenClose: boolean;
    };
}
export default Popover;
