import { FilterOptions } from './filterUrlAndOptions';
export declare type AjaxOptions = Partial<FilterOptions>;
export default class Ajax {
    /**
     * GET
     * @param url
     * @param params
     * @param options
     */
    static get(url: string, params?: object, options?: AjaxOptions): any;
    /**
     * POST
     * @param url
     * @param data 请求体
     * @param params
     * @param options
     * @returns {*}
     */
    static post(url: string, data?: object, params?: object, options?: AjaxOptions): any;
    /**
     * DELETE
     * @param url
     * @param params
     * @param options
     * @returns {*}
     */
    static delete(url: string, params?: object, options?: AjaxOptions): any;
    /**
     * PUT
     * @param url
     * @param data
     * @param params
     * @param options
     * @returns {*}
     */
    static put(url: string, data?: object, params?: object, options?: AjaxOptions): any;
}
