export default function getAbortInfo() {
  try {
    var controller = new AbortController();
    var signal = controller.signal;
    return {
      signal: signal,
      controller: controller
    };
  } catch (e) {
    return {
      signal: undefined,
      controller: {
        abort: function abort() {}
      }
    };
  }
}