export declare type Level = 'error' | 'warn' | 'info';
export default class Queue {
    cacheInfo: any[];
    constructor();
    add(level: Level, data: any, label: string): string;
    update(id: string, level: Level, data: any, label: string): string;
    getAll(): string;
    removeAll(): void;
    has(limitCount: number): boolean;
}
