export interface PopupLocationArgs {
    placement: string;
    element: HTMLElement;
    popupLimitSpacing: number;
    targetTop?: string;
}
export default function getPopupLocation({ placement, element, targetTop, popupLimitSpacing }: PopupLocationArgs): {
    top: string;
    height: string;
} | {
    height: string;
    top?: undefined;
};
