import React from 'react';
export interface PortalProps {
    children: React.ReactElement;
    getContainer?: () => HTMLElement;
    didUpdate?: (value: any) => void;
}
export default class Portal extends React.Component<PortalProps> {
    container: any;
    static getContainer: () => HTMLDivElement;
    componentDidMount(): void;
    componentDidUpdate(prevProps: PortalProps): void;
    componentWillUnmount(): void;
    createContainer(): void;
    removeContainer(): void;
    render(): React.ReactPortal;
}
