"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.cancelAnimationFrame = exports.requestAnimationFrame = void 0;

var _string = require("./string");

var requestAnimationFrame = _string.canUseDOM ? window.requestAnimationFrame || window.webkitRequestAnimationFrame || function (callback) {
  return window.setTimeout(function () {
    callback();
  }, 17);
} : function () {
  return 0;
};
exports.requestAnimationFrame = requestAnimationFrame;
var cancelAnimationFrame = _string.canUseDOM ? window.cancelAnimationFrame || window.webkitCancelAnimationFrame || function (id) {
  window.clearTimeout(id);
} : function () {
  return 0;
};
exports.cancelAnimationFrame = cancelAnimationFrame;