"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.isTextContentType = isTextContentType;
exports.ContentType = void 0;
var ContentType = {
  json: 'application/json',
  text: 'text/plain',
  html: 'text/html'
};
exports.ContentType = ContentType;

function isTextContentType(value) {
  return value && (value.indexOf(ContentType.text) !== -1 || value.indexOf(ContentType.html) !== -1);
}