import { SetCacheInfo, CacheMethod, RequestUse, ResponseUse, RetryCondition } from './Config';
export interface OtherOptions {
    requestUse: RequestUse<any>;
    responseUse: ResponseUse<any>;
    beforeRequest?: RequestUse<any>;
    afterResponse?: ResponseUse<any>;
    surplusParams?: object;
    abortController?: AbortController;
    retryCount?: number;
    retryCondition?: RetryCondition;
    cacheMethod?: CacheMethod;
    setCacheInfo?: SetCacheInfo;
    cacheNamespace?: string;
}
export default function interceptor(url: any, options: any, otherOptions: OtherOptions): any;
