declare const _default: {
    /**
     * First Contentful Paint
     * @param info
     * @param callback
     */
    fcp: (info: any, callback: any) => void;
    /**
     * Reduce server response times
     * @param info
     * @param callback
     */
    ttfb: (info: any, callback: any) => void;
    /**
     * First Input Delay
     * @param info
     * @param minValue
     * @param callback
     */
    fid: (info: any, minValue: any, callback: any) => void;
    /**
     * Largest Contentful Paint
     * @param info
     * @param minValue
     * @param callback
     */
    lcp: (info: any, minValue: any, callback: any) => void;
    /**
     * Cumulative Layout Shift
     * @param info
     * @param minValue
     * @param callback
     */
    cls: (info: any, minValue: any, callback: any) => void;
};
export default _default;
