declare type Handler = (arg?: any) => void;
declare type Handlers = {
    context: any;
    handler: Handler;
};
declare type Listeners = {
    eventName: string;
    handlers: Handlers[];
}[];
export declare class SelfEvent {
    listeners: Listeners;
    private static instance;
    static getInstance(): SelfEvent;
    _findPrevListener(eventName: any): {
        listener: any;
        index: number;
    };
    _addListener(eventName: any, handler: any, context: any): void;
    _removeListener(index: any): void;
    emit(eventName: any, params?: any, context?: any): void;
    on(eventName: any, handler: any, context?: any): () => void;
    off(eventName: any, handler?: Handler, context?: any): void;
    offAll(): void;
}
declare const _default: SelfEvent;
export default _default;
