import React from 'react';
export interface CheckboxProps {
    children?: React.ReactChild | React.ReactChild[];
    onChange: (checked: boolean, name?: string | number) => void;
    checked?: boolean;
    defaultChecked?: boolean;
    className?: string;
    name?: string | number;
    size?: number;
    disabled?: boolean;
    reverse?: boolean;
}
interface CheckboxState {
    visible: boolean;
}
export default class Checkbox extends React.Component<CheckboxProps, CheckboxState> {
    static defaultProps: {
        size: number;
        disabled: boolean;
        defaultChecked: boolean;
        reverse: boolean;
    };
    constructor(props: any);
    static getDerivedStateFromProps(nextProps: CheckboxProps, prevState: CheckboxState): {
        visible: boolean;
    };
    onVisibleChange: () => void;
    renderBox: () => JSX.Element;
    render(): JSX.Element;
}
export {};
