import React from 'react';
import classNames from 'classnames';
import LoadingIcon from '../loading-icon';
var cls = 're-loading-container';
export default function LoadingContainer(props) {
  var _a;

  var _b = props.loading,
      loading = _b === void 0 ? false : _b,
      className = props.className,
      children = props.children;
  return React.createElement("div", {
    className: classNames(className, cls, (_a = {}, _a[cls + "-active"] = loading, _a))
  }, children, loading && React.createElement("div", {
    className: cls + "-icon-box"
  }, React.createElement(LoadingIcon, {
    className: cls + "-icon"
  })));
}