import { getClientSize, getElementSize } from '../utils/get';
export default function getPopupLocation(_a) {
  var placement = _a.placement,
      element = _a.element,
      targetTop = _a.targetTop,
      popupLimitSpacing = _a.popupLimitSpacing;
  var clientSize = getClientSize();
  var popupSize = getElementSize(element);
  var doubleLimit = popupLimitSpacing * 2;
  var height = popupSize.height > clientSize.height - doubleLimit ? clientSize.height - doubleLimit + "px" : '';

  if (placement === 'top') {
    return {
      top: targetTop,
      height: height
    };
  } // 默认center


  return {
    height: height
  };
}