/**
 * t: current time（当前时间）；
 * b: beginning value（初始值）；
 * c: change in value（变化量）；
 * d: duration（持续时间）。
 */
declare const Tween: {
    Linear(t: any, b: any, c: any, d: any): any;
    Quadratic: {
        easeIn(t: any, b: any, c: any, d: any): any;
        easeOut(t: any, b: any, c: any, d: any): any;
        easeInOut(t: any, b: any, c: any, d: any): any;
    };
    Cubic: {
        easeIn(t: any, b: any, c: any, d: any): any;
        easeOut(t: any, b: any, c: any, d: any): any;
        easeInOut(t: any, b: any, c: any, d: any): any;
    };
    Quartic: {
        easeIn(t: any, b: any, c: any, d: any): any;
        easeOut(t: any, b: any, c: any, d: any): any;
        easeInOut(t: any, b: any, c: any, d: any): any;
    };
    Quintic: {
        easeIn(t: any, b: any, c: any, d: any): any;
        easeOut(t: any, b: any, c: any, d: any): any;
        easeInOut(t: any, b: any, c: any, d: any): any;
    };
    Sinusoidal: {
        easeIn(t: any, b: any, c: any, d: any): any;
        easeOut(t: any, b: any, c: any, d: any): any;
        easeInOut(t: any, b: any, c: any, d: any): any;
    };
    Exponential: {
        easeIn(t: any, b: any, c: any, d: any): any;
        easeOut(t: any, b: any, c: any, d: any): any;
        easeInOut(t: any, b: any, c: any, d: any): any;
    };
    Circular: {
        easeIn(t: any, b: any, c: any, d: any): any;
        easeOut(t: any, b: any, c: any, d: any): any;
        easeInOut(t: any, b: any, c: any, d: any): any;
    };
    Elastic: {
        easeIn(t: any, b: any, c: any, d: any, a: any, p: any): any;
        easeOut(t: any, b: any, c: any, d: any, a: any, p: any): any;
        easeInOut(t: any, b: any, c: any, d: any, a: any, p: any): any;
    };
    Back: {
        easeIn(t: any, b: any, c: any, d: any, s: any): any;
        easeOut(t: any, b: any, c: any, d: any, s: any): any;
        easeInOut(t: any, b: any, c: any, d: any, s: any): any;
    };
    Bounce: {
        easeIn(t: any, b: any, c: any, d: any): any;
        easeOut(t: any, b: any, c: any, d: any): any;
        easeInOut(t: any, b: any, c: any, d: any): any;
    };
};
export default Tween;
