import { canUseDOM } from './string';
export var requestAnimationFrame = canUseDOM ? window.requestAnimationFrame || window.webkitRequestAnimationFrame || function (callback) {
  return window.setTimeout(function () {
    callback();
  }, 17);
} : function () {
  return 0;
};
export var cancelAnimationFrame = canUseDOM ? window.cancelAnimationFrame || window.webkitCancelAnimationFrame || function (id) {
  window.clearTimeout(id);
} : function () {
  return 0;
};