import merge from './merge';
var baseConfig = {
  cache: 'no-store',
  credentials: 'same-origin',
  referrerPolicy: 'no-referrer-when-downgrade',
  headers: {
    'If-Modified-Since': '0',
    'content-type': 'application/json'
  },
  mode: 'cors',
  redirect: 'follow'
};

var Config =
/** @class */
function () {
  function Config() {}

  Config.setOptions = function (options) {
    Config.baseUrl = options.baseUrl;
    Config.requestUse = options.requestUse;
    Config.responseUse = options.responseUse;
    Config.retryCount = options.retryCount;
    Config.retryCondition = options.retryCondition;
    Config.cacheNamespace = options.cacheNamespace;
    Config.cacheMethod = options.cacheMethod;
    delete options.baseUrl;
    delete options.requestUse;
    delete options.responseUse;
    delete options.retryCount;
    delete options.retryCondition;
    delete options.cacheNamespace;
    delete options.cacheMethod;
    Config.fetchOptions = merge(baseConfig, options);
  };

  return Config;
}();

export default Config;