import React from 'react';
import { CollapseProps } from '../collapse';
/**
 * 暴露给用户的接口，用于接收来自用户输入的参数
 */
export interface BaseAccordionItemProps extends Pick<CollapseProps, 'title' | 'appear'> {
    name: React.ReactText;
}
/**
 * 父组件传进来的值，不需要用户传入
 */
export interface AccordionItemProps extends BaseAccordionItemProps, Pick<CollapseProps, 'visible'> {
    onTitleClick?: () => void;
}
export default class AccordionItem extends React.Component<AccordionItemProps, null> {
    getTitle: () => React.ReactElement<any, string | ((props: any) => React.ReactElement<any, string | any | (new (props: any) => React.Component<any, any, any>)>) | (new (props: any) => React.Component<any, any, any>)>;
    render(): JSX.Element;
}
