"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _collapse = _interopRequireDefault(require("../collapse"));

var __extends = void 0 && (void 0).__extends || function () {
  var _extendStatics = function extendStatics(d, b) {
    _extendStatics = Object.setPrototypeOf || {
      __proto__: []
    } instanceof Array && function (d, b) {
      d.__proto__ = b;
    } || function (d, b) {
      for (var p in b) {
        if (b.hasOwnProperty(p)) d[p] = b[p];
      }
    };

    return _extendStatics(d, b);
  };

  return function (d, b) {
    _extendStatics(d, b);

    function __() {
      this.constructor = d;
    }

    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
}();

var AccordionItem =
/** @class */
function (_super) {
  __extends(AccordionItem, _super);

  function AccordionItem() {
    var _this = _super !== null && _super.apply(this, arguments) || this;

    _this.getTitle = function () {
      var _a = _this.props,
          title = _a.title,
          onTitleClick = _a.onTitleClick;

      if (!title) {
        return null;
      }

      var child = _react.default.Children.only(title);

      return _react.default.cloneElement(child, {
        onClick: onTitleClick
      });
    };

    return _this;
  }

  AccordionItem.prototype.render = function () {
    var _a = this.props,
        appear = _a.appear,
        children = _a.children,
        visible = _a.visible;
    return _react.default.createElement("li", null, _react.default.createElement(_collapse.default, {
      title: this.getTitle(),
      visible: visible,
      appear: appear
    }, children));
  };

  return AccordionItem;
}(_react.default.Component);

var _default = AccordionItem;
exports.default = _default;