"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = LoadingContainer;

var _react = _interopRequireDefault(require("react"));

var _classnames = _interopRequireDefault(require("classnames"));

var _loadingIcon = _interopRequireDefault(require("../loading-icon"));

var cls = 're-loading-container';

function LoadingContainer(props) {
  var _a;

  var _b = props.loading,
      loading = _b === void 0 ? false : _b,
      className = props.className,
      children = props.children;
  return _react.default.createElement("div", {
    className: (0, _classnames.default)(className, cls, (_a = {}, _a[cls + "-active"] = loading, _a))
  }, children, loading && _react.default.createElement("div", {
    className: cls + "-icon-box"
  }, _react.default.createElement(_loadingIcon.default, {
    className: cls + "-icon"
  })));
}