"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _classnames = _interopRequireDefault(require("classnames"));

var cls = 're-svg-loading';

var LoadingIcon = function LoadingIcon(props) {
  var className = props.className;
  return _react.default.createElement("span", {
    className: (0, _classnames.default)(className, cls)
  }, _react.default.createElement("svg", {
    xmlns: "http://www.w3.org/2000/svg",
    width: "24",
    height: "24",
    viewBox: "0 0 24 24",
    className: cls + "-icon"
  }, _react.default.createElement("circle", {
    cx: "12",
    cy: "2",
    r: "2",
    fill: "#202020"
  }), _react.default.createElement("circle", {
    cx: "19",
    cy: "5",
    r: "2",
    fill: "#404040"
  }), _react.default.createElement("circle", {
    cx: "22",
    cy: "12",
    r: "2",
    fill: "#606060"
  }), _react.default.createElement("circle", {
    cx: "19",
    cy: "19",
    r: "2",
    fill: "gray"
  }), _react.default.createElement("circle", {
    cx: "12",
    cy: "22",
    r: "2",
    fill: "#b0b0b0"
  }), _react.default.createElement("circle", {
    cx: "5",
    cy: "19",
    r: "2",
    fill: "#d0d0d0"
  }), _react.default.createElement("circle", {
    cx: "2",
    cy: "12",
    r: "2",
    fill: "#f0f0f0"
  }), _react.default.createElement("circle", {
    cx: "5",
    cy: "5",
    r: "2",
    fill: "#fff"
  })));
};

var _default = _react.default.memo(LoadingIcon);

exports.default = _default;