"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

function Times(_a) {
  var prefixCls = _a.prefixCls,
      onClose = _a.onClose,
      closable = _a.closable;

  if (closable) {
    return _react.default.createElement("span", {
      className: prefixCls + "-times",
      onMouseDown: onClose,
      onTouchStart: onClose
    }, _react.default.createElement("svg", {
      viewBox: "64 64 896 896",
      className: "",
      "data-icon": "close",
      width: "1em",
      height: "1em",
      fill: "currentColor",
      "aria-hidden": "true",
      focusable: "false"
    }, _react.default.createElement("path", {
      d: "M563.8 512l262.5-312.9c4.4-5.2.7-13.1-6.1-13.1h-79.8c-4.7 0-9.2 2.1-12.3 5.7L511.6 449.8 295.1 191.7c-3-3.6-7.5-5.7-12.3-5.7H203c-6.8 0-10.5 7.9-6.1 13.1L459.4 512 196.9 824.9A7.95 7.95 0 0 0 203 838h79.8c4.7 0 9.2-2.1 12.3-5.7l216.5-258.1 216.5 258.1c3 3.6 7.5 5.7 12.3 5.7h79.8c6.8 0 10.5-7.9 6.1-13.1L563.8 512z"
    })));
  }

  return null;
}

function Title(_a) {
  var title = _a.title,
      closable = _a.closable,
      prefixCls = _a.prefixCls,
      onClose = _a.onClose;

  if (title) {
    return _react.default.createElement("div", {
      className: prefixCls + "-title"
    }, title, _react.default.createElement(Times, {
      prefixCls: prefixCls,
      closable: closable,
      onClose: onClose
    }));
  }

  return _react.default.createElement(Times, {
    prefixCls: prefixCls,
    closable: closable,
    onClose: onClose
  });
}

var _default = _react.default.memo(Title);

exports.default = _default;