"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = getPopupLocation;

var _get = require("../utils/get");

function getPopupLocation(_a) {
  var placement = _a.placement,
      element = _a.element,
      targetTop = _a.targetTop,
      popupLimitSpacing = _a.popupLimitSpacing;
  var clientSize = (0, _get.getClientSize)();
  var popupSize = (0, _get.getElementSize)(element);
  var doubleLimit = popupLimitSpacing * 2;
  var height = popupSize.height > clientSize.height - doubleLimit ? clientSize.height - doubleLimit + "px" : '';

  if (placement === 'top') {
    return {
      top: targetTop,
      height: height
    };
  } // 默认center


  return {
    height: height
  };
}