import React from 'react';
export interface SkeletonProps {
    loading: boolean;
    content: React.ReactElement | React.ReactElement[];
    children?: React.ReactElement | React.ReactElement[];
    active?: boolean;
    rows?: number;
    className?: string;
}
declare const Skeleton: {
    (props: SkeletonProps): JSX.Element;
    Item: React.MemoExoticComponent<(props: import("./Item").ItemProps) => JSX.Element>;
    defaultProps: {
        active: boolean;
        rows: number;
    };
};
export default Skeleton;
