"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _classnames = _interopRequireDefault(require("classnames"));

var _Item = _interopRequireDefault(require("./Item"));

var __spreadArrays = void 0 && (void 0).__spreadArrays || function () {
  for (var s = 0, i = 0, il = arguments.length; i < il; i++) {
    s += arguments[i].length;
  }

  for (var r = Array(s), k = 0, i = 0; i < il; i++) {
    for (var a = arguments[i], j = 0, jl = a.length; j < jl; j++, k++) {
      r[k] = a[j];
    }
  }

  return r;
};

var cls = 're-skeleton';

var Skeleton = function Skeleton(props) {
  var _a;

  var children = props.children,
      content = props.content,
      loading = props.loading,
      active = props.active,
      rows = props.rows,
      className = props.className;

  if (loading) {
    return _react.default.createElement("div", {
      className: (0, _classnames.default)(cls, className, (_a = {}, _a[cls + "-active"] = active, _a))
    }, __spreadArrays(Array(rows)).map(function (_item, index) {
      return _react.default.createElement(_react.default.Fragment, {
        key: index
      }, content);
    }));
  }

  return _react.default.createElement(_react.default.Fragment, null, children);
};

Skeleton.Item = _Item.default;
Skeleton.defaultProps = {
  active: true,
  rows: 1
};
var _default = Skeleton;
exports.default = _default;