export declare type Easing = 'easeIn' | 'easeOut' | 'easeInOut';
export declare type Mode = 'Linear' | 'Quadratic' | 'Cubic' | 'Quartic' | 'Quintic' | 'Sinusoidal' | 'Exponential' | 'Circular' | 'Elastic' | 'Back' | 'Bounce';
export declare type EventType = 'start' | 'sleep' | 'progress' | 'complete' | 'error' | 'always' | 'abort';
export declare const getEventTypes: () => {
    start: EventType;
    sleep: EventType;
    progress: EventType;
    complete: EventType;
    error: EventType;
    always: EventType;
    abort: EventType;
};
export declare const getModeTypes: () => {
    Linear: Mode;
    Quadratic: Mode;
    Cubic: Mode;
    Quartic: Mode;
    Quintic: Mode;
    Sinusoidal: Mode;
    Circular: Mode;
    Elastic: Mode;
    Back: Mode;
    Bounce: Mode;
    Exponential: Mode;
};
export declare const getEasingTypes: () => {
    easeIn: Easing;
    easeOut: Easing;
    easeInOut: Easing;
};
