"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getEasingTypes = exports.getModeTypes = exports.getEventTypes = void 0;

var getEventTypes = function getEventTypes() {
  return {
    start: 'start',
    sleep: 'sleep',
    progress: 'progress',
    complete: 'complete',
    error: 'error',
    always: 'always',
    abort: 'abort'
  };
};

exports.getEventTypes = getEventTypes;

var getModeTypes = function getModeTypes() {
  return {
    Linear: 'Linear',
    Quadratic: 'Quadratic',
    Cubic: 'Cubic',
    Quartic: 'Quartic',
    Quintic: 'Quintic',
    Sinusoidal: 'Sinusoidal',
    Circular: 'Circular',
    Elastic: 'Elastic',
    Back: 'Back',
    Bounce: 'Bounce',
    Exponential: 'Exponential'
  };
};

exports.getModeTypes = getModeTypes;

var getEasingTypes = function getEasingTypes() {
  return {
    easeIn: 'easeIn',
    easeOut: 'easeOut',
    easeInOut: 'easeInOut'
  };
};

exports.getEasingTypes = getEasingTypes;