"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getCookie = getCookie;
exports.setCookie = setCookie;
exports.removeCookie = removeCookie;

var _universalCookie = _interopRequireDefault(require("universal-cookie"));

var __assign = void 0 && (void 0).__assign || function () {
  __assign = Object.assign || function (t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
      s = arguments[i];

      for (var p in s) {
        if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
      }
    }

    return t;
  };

  return __assign.apply(this, arguments);
};

var cookies = new _universalCookie.default();
var options = {
  path: '/'
};

function getCookie(name, opts) {
  if (opts === void 0) {
    opts = {};
  }

  opts = __assign(__assign({}, options), opts);
  return cookies.get(name, opts);
}

function setCookie(name, value, opts) {
  if (opts === void 0) {
    opts = {};
  }

  opts = __assign(__assign({}, options), opts);
  cookies.set(name, value, opts);
}

function removeCookie(name, opts) {
  if (opts === void 0) {
    opts = {};
  }

  opts = __assign(__assign({}, options), opts);
  cookies.remove(name, opts);
}