export declare function getClientPosition(elem: HTMLElement): {
    left: any;
    top: any;
};
export declare function getElementSize(elem: HTMLElement, isRemoveBorder?: boolean): {
    width: number;
    height: number;
};
export declare function getClientSize(): {
    width: number;
    height: number;
};
export declare function getOffset(elem: HTMLElement, ignoreScroll?: boolean): {
    left: number;
    top: number;
    width: number;
    height: number;
    offsetLeft?: undefined;
    offsetTop?: undefined;
} | {
    left: any;
    top: any;
    offsetLeft: number;
    offsetTop: number;
    width: number;
    height: number;
};
export declare function getScrollValue(): {
    left: number;
    top: number;
};
/**
 * 获取执行元素的属性值
 * @param element
 * @param attr
 * @returns {string}
 */
export declare function getStyle(element: any, attr?: any): string | CSSStyleDeclaration;
export declare function getStyleValue(element: any, attr: any): number;
